// D import file generated from 'derelict/opengl3/glx.d'
module derelict.opengl3.glx;
private import derelict.util.system;
static if (Derelict_OS_Posix && !Derelict_OS_Mac)
{
	private 
	{
		import std.string;
		import derelict.util.loader;
		import derelict.util.xtypes;
		import derelict.opengl3.types;
	}
	enum 
	{
		GLX_USE_GL = 1,
		GLX_BUFFER_SIZE = 2,
		GLX_LEVEL = 3,
		GLX_RGBA = 4,
		GLX_DOUBLEBUFFER = 5,
		GLX_STEREO = 6,
		GLX_AUX_BUFFERS = 7,
		GLX_RED_SIZE = 8,
		GLX_GREEN_SIZE = 9,
		GLX_BLUE_SIZE = 10,
		GLX_ALPHA_SIZE = 11,
		GLX_DEPTH_SIZE = 12,
		GLX_STENCIL_SIZE = 13,
		GLX_ACCUM_RED_SIZE = 14,
		GLX_ACCUM_GREEN_SIZE = 15,
		GLX_ACCUM_BLUE_SIZE = 16,
		GLX_ACCUM_ALPHA_SIZE = 17,
		GLX_BAD_SCREEN = 1,
		GLX_BAD_ATTRIBUTE = 2,
		GLX_NO_EXTENSION = 3,
		GLX_BAD_VISUAL = 4,
		GLX_BAD_CONTEXT = 5,
		GLX_BAD_VALUE = 6,
		GLX_BAD_ENUM = 7,
		GLX_CONFIG_CAVEAT = 32,
		GLX_DONT_CARE = 4294967295u,
		GLX_X_VISUAL_TYPE = 34,
		GLX_TRANSPARENT_TYPE = 35,
		GLX_TRANSPARENT_INDEX_VALUE = 36,
		GLX_TRANSPARENT_RED_VALUE = 37,
		GLX_TRANSPARENT_GREEN_VALUE = 38,
		GLX_TRANSPARENT_BLUE_VALUE = 39,
		GLX_TRANSPARENT_ALPHA_VALUE = 40,
		GLX_WINDOW_BIT = 1,
		GLX_PIXMAP_BIT = 2,
		GLX_PBUFFER_BIT = 4,
		GLX_AUX_BUFFERS_BIT = 16,
		GLX_FRONT_LEFT_BUFFER_BIT = 1,
		GLX_FRONT_RIGHT_BUFFER_BIT = 2,
		GLX_BACK_LEFT_BUFFER_BIT = 4,
		GLX_BACK_RIGHT_BUFFER_BIT = 8,
		GLX_DEPTH_BUFFER_BIT = 32,
		GLX_STENCIL_BUFFER_BIT = 64,
		GLX_ACCUM_BUFFER_BIT = 128,
		GLX_NONE = 32768,
		GLX_SLOW_CONFIG = 32769,
		GLX_TRUE_COLOR = 32770,
		GLX_DIRECT_COLOR = 32771,
		GLX_PSEUDO_COLOR = 32772,
		GLX_STATIC_COLOR = 32773,
		GLX_GRAY_SCALE = 32774,
		GLX_STATIC_GRAY = 32775,
		GLX_TRANSPARENT_RGB = 32776,
		GLX_TRANSPARENT_INDEX = 32777,
		GLX_VISUAL_ID = 32779,
		GLX_SCREEN = 32780,
		GLX_NON_CONFORMANT_CONFIG = 32781,
		GLX_DRAWABLE_TYPE = 32784,
		GLX_RENDER_TYPE = 32785,
		GLX_X_RENDERABLE = 32786,
		GLX_FBCONFIG_ID = 32787,
		GLX_RGBA_TYPE = 32788,
		GLX_COLOR_INDEX_TYPE = 32789,
		GLX_MAX_PBUFFER_WIDTH = 32790,
		GLX_MAX_PBUFFER_HEIGHT = 32791,
		GLX_MAX_PBUFFER_PIXELS = 32792,
		GLX_PRESERVED_CONTENTS = 32795,
		GLX_LARGEST_PBUFFER = 32796,
		GLX_WIDTH = 32797,
		GLX_HEIGHT = 32798,
		GLX_EVENT_MASK = 32799,
		GLX_DAMAGED = 32800,
		GLX_SAVED = 32801,
		GLX_WINDOW = 32802,
		GLX_PBUFFER = 32803,
		GLX_PBUFFER_HEIGHT = 32832,
		GLX_PBUFFER_WIDTH = 32833,
		GLX_RGBA_BIT = 1,
		GLX_COLOR_INDEX_BIT = 2,
		GLX_PBUFFER_CLOBBER_MASK = 134217728,
		GLX_SAMPLE_BUFFERS = 100000,
		GLX_SAMPLES = 100001,
	}
	struct __GLXcontextRec;
	struct __GLXFBConfigRec;
	alias GLXContentID = uint;
	alias GLXPixmap = uint;
	alias GLXDrawable = uint;
	alias GLXPbuffer = uint;
	alias GLXWindow = uint;
	alias GLXFBConfigID = uint;
	alias GLXContext = __GLXcontextRec*;
	alias GLXFBConfig = __GLXFBConfigRec*;
	struct GLXPbufferClobberEvent
	{
		int event_type;
		int draw_type;
		uint serial;
		Bool send_event;
		Display* display;
		GLXDrawable drawable;
		uint buffer_mask;
		uint aux_buffer;
		int x;
		int y;
		int width;
		int height;
		int count;
	}
	union GLXEvent
	{
		GLXPbufferClobberEvent glxpbufferclobber;
		int[24] pad;
	}
	extern (C) nothrow @nogc 
	{
		alias da_glXChooseVisual = XVisualInfo* function(Display*, int, int*);
		alias da_glXCopyContext = void function(Display*, GLXContext, GLXContext, uint);
		alias da_glXCreateContext = GLXContext function(Display*, XVisualInfo*, GLXContext, Bool);
		alias da_glXCreateGLXPixmap = GLXPixmap function(Display*, XVisualInfo*, Pixmap);
		alias da_glXDestroyContext = void function(Display*, GLXContext);
		alias da_glXDestroyGLXPixmap = void function(Display*, GLXPixmap);
		alias da_glXGetConfig = int function(Display*, XVisualInfo*, int, int*);
		alias da_glXGetCurrentContext = GLXContext function();
		alias da_glXGetCurrentDrawable = GLXDrawable function();
		alias da_glXIsDirect = Bool function(Display*, GLXContext);
		alias da_glXMakeCurrent = Bool function(Display*, GLXDrawable, GLXContext);
		alias da_glXQueryExtension = Bool function(Display*, int*, int*);
		alias da_glXQueryVersion = Bool function(Display*, int*, int*);
		alias da_glXSwapBuffers = void function(Display*, GLXDrawable);
		alias da_glXUseXFont = void function(Font, int, int, int);
		alias da_glXWaitGL = void function();
		alias da_glXWaitX = void function();
		alias da_glXGetClientString = char* function(Display*, int);
		alias da_glXQueryServerString = char* function(Display*, int, int);
		alias da_glXQueryExtensionsString = char* function(Display*, int);
		alias da_glXGetFBConfigs = GLXFBConfig* function(Display*, int, int*);
		alias da_glXChooseFBConfig = GLXFBConfig* function(Display*, int, int*, int*);
		alias da_glXGetFBConfigAttrib = int function(Display*, GLXFBConfig, int, int*);
		alias da_glXGetVisualFromFBConfig = XVisualInfo* function(Display*, GLXFBConfig);
		alias da_glXCreateWindow = GLXWindow function(Display*, GLXFBConfig, Window, int*);
		alias da_glXDestroyWindow = void function(Display*, GLXWindow);
		alias da_glXCreatePixmap = GLXPixmap function(Display*, GLXFBConfig, Pixmap, int*);
		alias da_glXDestroyPixmap = void function(Display*, GLXPixmap);
		alias da_glXCreatePbuffer = GLXPbuffer function(Display*, GLXFBConfig, int*);
		alias da_glXDestroyPbuffer = void function(Display*, GLXPbuffer);
		alias da_glXQueryDrawable = void function(Display*, GLXDrawable, int, uint*);
		alias da_glXCreateNewContext = GLXContext function(Display*, GLXFBConfig, int, GLXContext, Bool);
		alias da_glXMakeContextCurrent = Bool function(Display*, GLXDrawable, GLXDrawable, GLXContext);
		alias da_glXGetCurrentReadDrawable = GLXDrawable function();
		alias da_glXGetCurrentDisplay = Display* function();
		alias da_glXQueryContext = int function(Display*, GLXContext, int, int*);
		alias da_glXSelectEvent = void function(Display*, GLXDrawable, uint);
		alias da_glXGetSelectedEvent = void function(Display*, GLXDrawable, uint*);
		alias da_glXGetProcAddress = void* function(const(char)*);
	}
	__gshared 
	{
		da_glXChooseVisual glXChooseVisual;
		da_glXCopyContext glXCopyContext;
		da_glXCreateContext glXCreateContext;
		da_glXCreateGLXPixmap glXCreateGLXPixmap;
		da_glXDestroyContext glXDestroyContext;
		da_glXDestroyGLXPixmap glXDestroyGLXPixmap;
		da_glXGetConfig glXGetConfig;
		da_glXGetCurrentContext glXGetCurrentContext;
		da_glXGetCurrentDrawable glXGetCurrentDrawable;
		da_glXIsDirect glXIsDirect;
		da_glXMakeCurrent glXMakeCurrent;
		da_glXQueryExtension glXQueryExtension;
		da_glXQueryVersion glXQueryVersion;
		da_glXSwapBuffers glXSwapBuffers;
		da_glXUseXFont glXUseXFont;
		da_glXWaitGL glXWaitGL;
		da_glXWaitX glXWaitX;
		da_glXGetClientString glXGetClientString;
		da_glXQueryServerString glXQueryServerString;
		da_glXQueryExtensionsString glXQueryExtensionsString;
		da_glXGetFBConfigs glXGetFBConfigs;
		da_glXChooseFBConfig glXChooseFBConfig;
		da_glXGetFBConfigAttrib glXGetFBConfigAttrib;
		da_glXGetVisualFromFBConfig glXGetVisualFromFBConfig;
		da_glXCreateWindow glXCreateWindow;
		da_glXDestroyWindow glXDestroyWindow;
		da_glXCreatePixmap glXCreatePixmap;
		da_glXDestroyPixmap glXDestroyPixmap;
		da_glXCreatePbuffer glXCreatePbuffer;
		da_glXDestroyPbuffer glXDestroyPbuffer;
		da_glXQueryDrawable glXQueryDrawable;
		da_glXCreateNewContext glXCreateNewContext;
		da_glXMakeContextCurrent glXMakeContextCurrent;
		da_glXGetCurrentReadDrawable glXGetCurrentReadDrawable;
		da_glXGetCurrentDisplay glXGetCurrentDisplay;
		da_glXQueryContext glXQueryContext;
		da_glXSelectEvent glXSelectEvent;
		da_glXGetSelectedEvent glXGetSelectedEvent;
		da_glXGetProcAddress glXGetProcAddress;
	}
	package 
	{
		void loadPlatformGL(void delegate(void**, string, bool doThrow) bindFunc);
		void* loadGLFunc(string symName);
		bool hasValidContext();
	}
}
